# Class CIM_PackageLocation
extends CIM_PhysicalPackage

PackageLocation is a space/hole/shelf, possibly with mounting brackets or other connecting hardware, where other PhysicalPackages may be placed. This class describes an entity that holds something else and is not just a 'place' (as is conveyed by the CIM_Location object). This class has several corollaries to HostingBoard. Where a HostingBoard (backplane) has connectors/slots to describe the capabilities of holding additional PhysicalPackages, a PackageLocation is used to describe the same case for the general package, where there may or may not be no connectors. Examples of PackageLocations would include a disk cage in a tower PC or the chassis area where the power supply is mounted.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalPackage
|
+--CIM_PackageLocation

## Direct Known Subclasses

CIM_StorageMediaLocation

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PackageLocation is a space/hole/shelf, possibly with mounting brackets or other connecting hardware, where other PhysicalPackages may be placed. This class describes an entity that holds something else and is not just a 'place' (as is conveyed by the CIM_Location object). This class has several corollaries to HostingBoard. Where a HostingBoard (backplane) has connectors/slots to describe the capabilities of holding additional PhysicalPackages, a PackageLocation is used to describe the same case for the general package, where there may or may not be no connectors. Examples of PackageLocations would include a disk cage in a tower PC or the chassis area where the power supply is mounted.

UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LocationCoordinates | string |
Description | string | LocationCoordinates represent the physical location of the the FrameSlot instance. The property is defined as a free-form string to allow the location information to be described in vendor-unique terminology.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
CanBeFRUed | boolean | CIM_PhysicalElement
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Depth | real32 | CIM_PhysicalPackage
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
Height | real32 | CIM_PhysicalPackage
HotSwappable | boolean | CIM_PhysicalPackage
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
Model | string | CIM_PhysicalElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
OtherPackageType | string | CIM_PhysicalPackage
PackageType | uint16 | CIM_PhysicalPackage
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalPackage
RemovalConditions | uint16 | CIM_PhysicalPackage
Replaceable | boolean | CIM_PhysicalPackage
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
Weight | real32 | CIM_PhysicalPackage
Width | real32 | CIM_PhysicalPackage
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement
VendorCompatibilityStrings | string[] | CIM_PhysicalPackage

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
IsCompatible | uint32 | CIM_PhysicalPackage